# Define the system of units to use internally. 
InternalUnitSystem:
  UnitMass_in_cgs:     1.98841e43       # 10^10 M_sun in grams
  UnitLength_in_cgs:   3.08567758149e24 # Mpc in centimeters
  UnitVelocity_in_cgs: 1e5           # km/s in centimeters per second
  UnitCurrent_in_cgs:  1.            # Amperes
  UnitTemp_in_cgs:     1.            # Kelvin

# Cosmological parameters
Cosmology:
  h:              0.6777        # Reduced Hubble constant
  a_begin:        0.5           # Initial scale-factor of the simulation
  a_end:          1.0           # Final scale factor of the simulation
  Omega_m:        0.307         # Matter density parameter
  Omega_lambda:   0.693         # Dark-energy density parameter
  Omega_b:        0.0455        # Baryon density parameter

# Parameters governing the time integration
TimeIntegration:
  time_begin: 0      # The starting time of the simulation (in internal units).
  time_end:   1.3e-2 # The end time of the simulation (in internal units).
  dt_min:     1e-10  # The minimal time-step size of the simulation (in internal units).
  dt_max:     1e-5   # The maximal time-step size of the simulation (in internal units).

# Parameters governing the snapshots
Snapshots:
  basename:            bh_swallowing_serial # Common part of the name of output files
  time_first:          0.            # Time of the first output (in internal units)
  delta_time:          3.e-5         # Time difference between consecutive outputs without cosmology (internal units)
  compression:         1

# Parameters governing the conserved quantities statistics
Statistics:
  time_first:          0.
  delta_time:          1.e-5  # non cosmology time between statistics output

# Parameters for the self-gravity scheme
Gravity:
  eta:                    0.025     # Constant dimensionless multiplier for time integration.
  theta:                  0.7       # Opening angle (Multipole acceptance criterion)
  mesh_side_length:       128
  comoving_DM_softening:         0.003320 # Comoving softening for DM (3.32 ckpc)
  max_physical_DM_softening:     0.001300 # Physical softening for DM (1.30 pkpc)
  comoving_baryon_softening:     0.001790 # Comoving softening for baryons (1.79 ckpc)
  max_physical_baryon_softening: 0.000700 # Physical softening for baryons (0.70 pkpc)
  
# Parameters for the hydrodynamics scheme
SPH:
  resolution_eta:        1.2348   # Target smoothing length in units of the mean inter-particle separation 
  CFL_condition:         0.1      # Courant-Friedrich-Levy condition for time integration.
  minimal_temperature:   10.      # Kelvin

# Parameters related to the initial conditions
InitialConditions:
  file_name:  ./bh_swallowing.hdf5       # The file to read
  periodic:   1
  
Scheduler:
  max_top_level_cells: 8

# Parameters for the EAGLE "equation of state"
EAGLEEntropyFloor:
  Jeans_density_threshold_H_p_cm3: 0.1       # Physical density above which the EAGLE Jeans limiter entropy floor kicks in expressed in Hydrogen atoms per cm^3.
  Jeans_over_density_threshold:    10.       # Overdensity above which the EAGLE Jeans limiter entropy floor can kick in.
  Jeans_temperature_norm_K:        8000      # Temperature of the EAGLE Jeans limiter entropy floor at the density threshold expressed in Kelvin.
  Jeans_gamma_effective:           1.3333333 # Slope the of the EAGLE Jeans limiter entropy floor
  Cool_density_threshold_H_p_cm3: 1e-5       # Physical density above which the EAGLE Cool limiter entropy floor kicks in expressed in Hydrogen atoms per cm^3.
  Cool_over_density_threshold:    10.        # Overdensity above which the EAGLE Cool limiter entropy floor can kick in.
  Cool_temperature_norm_K:        8000       # Temperature of the EAGLE Cool limiter entropy floor at the density threshold expressed in Kelvin.
  Cool_gamma_effective:           1.         # Slope the of the EAGLE Cool limiter entropy floor

# Metallicites read in for the gas and star
EAGLEChemistry:              
  init_abundance_metal:      0.01
  init_abundance_Hydrogen:   0.752
  init_abundance_Helium:     0.248
  init_abundance_Carbon:     0.0
  init_abundance_Nitrogen:   0.0
  init_abundance_Oxygen:     0.0
  init_abundance_Neon:       0.0
  init_abundance_Magnesium:  0.0
  init_abundance_Silicon:    0.0
  init_abundance_Iron:       0.0

# Standard EAGLE cooling options
EAGLECooling:
  dir_name:                ./coolingtables/  # Location of the Wiersma+08 cooling tables
  H_reion_z:               11.5              # Redshift of Hydrogen re-ionization
  H_reion_eV_p_H:          2.0
  He_reion_z_centre:       3.5               # Redshift of the centre of the Helium re-ionization Gaussian
  He_reion_z_sigma:        0.5               # Spread in redshift of the  Helium re-ionization Gaussian
  He_reion_eV_p_H:         2.0               # Energy inject by Helium re-ionization in electron-volt per Hydrogen atom

# EAGLE AGN model
EAGLEAGN:
  subgrid_seed_mass_Msun:             1.5e5      # Black hole subgrid mass at creation time in solar masses.
  max_eddington_fraction:             1.         # Maximal allowed accretion rate in units of the Eddington rate.
  viscous_alpha:                      1e6        # Normalisation constant of the Bondi viscuous time-scale accretion reduction term.
  radiative_efficiency:               0.1        # Fraction of the accreted mass that gets radiated.
  coupling_efficiency:                0.15       # Fraction of the radiated energy that couples to the gas in feedback events.
  use_variable_delta_T:               0          # Switch to enable adaptive calculation of AGN dT [1], rather than using a constant value [0].
  AGN_with_locally_adaptive_delta_T:  0          # Switch to enable additional dependence of AGN dT on local gas density and temperature (only used if use_variable_delta_T is 1).
  AGN_delta_T_K:                      3.16228e8  # Change in temperature to apply to the gas particle in an AGN feedback event [K] (only used if use_variable_delta_T is 0).
  AGN_num_ngb_to_heat:                1.         # Target number of gas neighbours to heat in an AGN feedback event.
